LINUX.ORG.RU

В Wine Staging (wine-compholio) добавлен набор патчей CSMT

 


3

2

Wine Staging - это набор патчей для WINE, которые еще не приняты(либо не будут приняты) в WINE

Список патчей активно пересматривается, при принятии патча в WINE он удаляется из Wine Staging и после выпуска очередной версии WINE следует выпуск Wine Staging с тем же номером.

Как бонус к патчам CSMT добавлена система переключения .dll (DLL Redirects), которая позволяет переключать используемую версию библиотеки налету (wined3d.dll и wined3d-csmt.dll в случае CSMT).
Детально описано тут

Также добавлены ключи реестра для определения системы в роли TabletPC и/или MediaCenter, и ключ для установки лимита саунд-буферов (по умолчанию установлен 4)
Детально описано тут

Список патчей текущей версии (1.7.33):

  • ATL IOCS data should not be stored in GWLP_USERDATA (Wine Bug #21767)
  • Add Dynamic DST exceptions for Israel Standard Time (Wine Bug #36374)
  • Add default ACLs for user shell folders
  • Add stub for NtSetLdtEntries/ZwSetLdtEntries (Wine Bug #26268)
  • Add support for GetPropValue to PulseAudio backend
  • Adobe Reader needs ITextSelection_fnGetDuplicate implementation
  • Allow selection of audio device for PulseAudio backend
  • Allow special characters in pipe names (Wine Bug #28995)
  • Anno 1602 installer depends on Windows 98 behavior of SHFileOperationW
  • Audio stuttering and performance drops in multiple applications (Wine Bug #30639)
  • Avoid crashing when broken app tries to release surface although refcount is zero (Wine Bug #18477)
  • Avoid race-conditions of async WSARecv() operations with write watches.
  • Black & White needs DXTn software decoding support (Wine Bug #14939)
  • Correctly treat '.' when checking for empty directories (Wine Bug #26272)
  • D3DCompileShader should filter specific warning messages (Wine Bug #33770)
  • Do not fail when a used context is passed to wglShareLists (Wine Bug #11436)
  • Don't fill KdHelp structure for usermode applications (Wine Bug #37272)
  • Emulate access to KI_USER_SHARED_DATA kernel page on x86_64 (Wine Bug #33849)
  • Emulate write to CR4 register (Wine Bug #30220)
  • Ensure NtProtectVirtualMemory and NtCreateSection are on separate pages (Wine Bug #33162)
  • Exception during start of fr-043 caused by missing DXTn support (Wine Bug #37391)
  • FEAR 1 installer expects basic_string_wchar_dtor to return NULL (Wine Bug #37358)
  • FairplayKD.sys needs KeSetSystemAffinityThread (Wine Bug #36822)
  • Fix black screen on startup introduced by pixelformat changes. (Wine Bug #35950)
  • Fix comparison of punctuation characters in lstrcmp (Wine Bug #10767)
  • Fix condition mask handling in RtlVerifyVersionInfo (Wine Bug #36143)
  • Fix crash of Trine Demo on start (Wine Bug #19231)
  • Fix crash of winedevice when relocation entry crosses page boundary (Wine Bug #28254)
  • Fix flickering introduced by pixelformat changes. (Wine Bug #35718)
  • Fix for ConnectNamedPort return value in overlapped mode (Wine Bug #16550)
  • Fix for programs leaking wndproc slots (Wine Bug #32451)
  • Fix gray screen on startup introduced by pixelformat changes. (Wine Bug #35975)
  • Fix handling of empty section and key name for profile files. (Wine Bug #8036)
  • Fix handling of invert_y in DrawTextExW (Wine Bug #22109)
  • Fix issues when driver dispatch routine returns different status codes (Wine Bug #30155)
  • Fix issues with dragging layers between images in Adobe Photoshop 7.0 (Wine Bug #12007)
  • Fix missing video introduced by pixelformat changes. (Wine Bug #36900)
  • Fix possible segfault in pulse_rd_loop of PulseAudio backend
  • Fix return value of ScrollWindowEx for invisible windows (Wine Bug #37706)
  • Fix texture corruption in CSI: Fatal Conspiracy (Wine Bug #33768)
  • Fix unintentional leaks with ntdll internals
  • Fix wined3d performance drop introduced by pixelformat changes. (Wine Bug #35655)
  • Games For Windows Live 1.x expects a valid linker version in the PE header (Wine Bug #28768)
  • GetSecurityInfo returns NULL DACL for process object (Wine Bug #15980)
  • Ignore unsupported flags for CoInternetSetFeatureEnabled (Wine Bug #35197)
  • Implement a Microsoft Yahei replacement font (Wine Bug #13829)
  • Implement an Arial replacement font (Wine Bug #32323)
  • Implement exclusive mode in PulseAudio backend (Wine Bug #37042)
  • Implement stubs for mfplat.MFStartup and MFShutdown (Wine Bug #37701)
  • Improvement for heap allocation performance
  • Initialize irp.Tail.Overlay.OriginalFileObject with stub file object (Wine Bug #37537)
  • Lego Stunt Rally requires DXTn software de/encoding support (Wine Bug #25486)
  • Limit cross thread access to ImmSet* functions (Wine Bug #35361)
  • Lockfree algorithm for filedescriptor cache (improves file access speed)
  • MSVCRT crashes when NULL is passed as string to atof or strtod (Wine Bug #32550)
  • Make it possible to change media center / tablet pc status (Wine Bug #18732)
  • Multiple applications need EnumDisplayDevicesW implementation (Wine Bug #34978)
  • Need for Speed 3 installer requires devices in HKEY_DYN_DATA (Wine Bug #7115)
  • Other Pipelight-specific enhancements
  • Prevent window managers from grouping all wine programs together (Wine Bug #32699)
  • Provide named entry point shell32.SHILCreateFromPath for vista apps (Wine Bug #37265)
  • Reallocate buffer when adding records to AVI files (Wine Bug #5137)
  • Reduced SetTimer minimum value from 10 ms to 5 ms (improves Silverlight framerates)
  • Return an error when trying to open a terminated process (Wine Bug #37087)
  • Return correct IMediaSeeking stream positions in quartz (Wine Bug #23174)
  • Return correct values for GetThreadTimes function (Wine Bug #20230)
  • Return more context attributes in schan_InitializeSecurityContextW (Wine Bug #37527)
  • SO_CONNECT_TIME returns the appropriate time
  • Send WM_PAINT event during dialog creation (Wine Bug #35652)
  • Set last error when GetRawInputDeviceList fails (Wine Bug #37667)
  • Support for AllocateAndGetTcpExTableFromStack (Wine Bug #34372)
  • Support for BindImageEx (Wine Bug #3591)
  • Support for CSMT (command stream) to increase graphic performance (Wine Bug #11674)
  • Support for D3DXGetShaderInputSemantics (Wine Bug #22682)
  • Support for DOS hidden/system file attributes (Wine Bug #9158)
  • Support for Dynamic DST (daylight saving time) information in registry
  • Support for GdipCreateRegionRgnData (Wine Bug #34843)
  • Support for GetFinalPathNameByHandle (Wine Bug #36073)
  • Support for GetSystemTimes (Wine Bug #19813)
  • Support for GetVolumePathName
  • Support for ID3DXSkinInfoImpl_UpdateSkinnedMesh (Wine Bug #32572)
  • Support for ITextDocument_fnRange function (Wine Bug #12458)
  • Support for ITextRange, ITextFont and ITextPara (Wine Bug #18303)
  • Support for Junction Points (Wine Bug #12401)
  • Support for K32EnumProcessModulesEx (Wine Bug #34864)
  • Support for KF_FLAG_DEFAULT_PATH in SHGetKnownFolderPath (Wine Bug #30385)
  • Support for LoadIconMetric (Wine Bug #35375)
  • Support for NtQuerySection (Wine Bug #37338)
  • Support for NtSetInformationFile class FileDispositionInformation (Wine Bug #30397)
  • Support for PulseAudio backend for audio (Wine Bug #10495)
  • Support for RtlDecompressBuffer (Wine Bug #37449)
  • Support for SHCreateSessionKey (Wine Bug #35630)
  • Support for StrCatChainW
  • Support for TOOLTIPS_GetTipText edge cases (Wine Bug #30648)
  • Support for TransmitFile (Wine Bug #5048)
  • Support for UTF7 encoding/decoding (Wine Bug #27388)
  • Support for WTSEnumerateProcessesW (Wine Bug #29903)
  • Support for combase HSTRING objects
  • Support for extra large and jumbo icon lists in shell32 (Wine Bug #24721)
  • Support for inherited file ACLs (Wine Bug #34406)
  • Support for interface change notifications (Wine Bug #32328)
  • Support for loader dll redirections
  • Support for pasting HTML from Unix applications (Wine Bug #7372)
  • Support for process ACLs (Wine Bug #22006)
  • Support for setcap on wine-preloader (Wine Bug #26256)
  • Support for stored file ACLs (Wine Bug #31858)
  • Support for wine64 on FreeBSD/PC-BSD (Wine Bug #34330)
  • Tumblebugs 2 requires DXTn software encoding support (Wine Bug #29586)
  • Unity3D Editor requires ProductId registry value (Wine Bug #36964)
  • Update a XIM candidate position when cursor location changes (Wine Bug #30938)
  • Use manual relay for RunDLL_CallEntry16 in shell32 (Wine Bug #23033)
  • Voobly expects correct handling of WRITECOPY memory protection (Wine Bug #29384)
  • Wine ignores IDF_CHECKFIRST flag in SetupPromptForDisk (Wine Bug #20465)
  • Workaround for shlwapi URLs with relative paths
  • XEMBED support for embedding Wine windows inside Linux applications
  • nVidia driver for high-end laptop cards does not list all supported resolutions
  • vSphere needs IoCsqInitialize (Wine Bug #36777)
  • wglDescribePixelFormat should return max index for NULL descriptor (Wine Bug #6176)
  • wininet should allow Accept-Encoding header for HTTP/1.0 (Wine Bug #37046)


Домашняя страница (в разработке)
Wiki

>>> Git

★★★★

Проверено: Shaman007 ()

Пусть запилят поддержку DX11/12, без него это поделие не нужно. Разве что патчем к wine с соответствующим юз-флагом в Gentoo.

leg0las ★★★★★ ()
Ответ на: комментарий от leg0las

Разве что патчем к wine с соответствующим юз-флагом в Gentoo.

гентушники уже pulseaudio и pipelight патчи оттеда берут
я забампил в локальном оверлее себе с юзом experimental и накатываю все, кроме пульсы

примерный ебилд будет после такого:

--- wine-1.7.29.ebuild	2014-10-25 23:37:44.000000000 +0300
+++ wine-1.7.33.ebuild	2014-12-15 11:39:38.284311234 +0200
@@ -22,8 +22,8 @@
 	S=${WORKDIR}/${MY_P}
 fi
 
-GV="2.24"
-MV="4.5.2"
+GV="2.34"
+MV="4.5.4"
 COMPHOLIO_P="wine-staging-${PV}"
 WINE_GENTOO="wine-gentoo-2013.06.24"
 DESCRIPTION="Free implementation of Windows(tm) on Unix"
@@ -34,13 +34,13 @@
 		abi_x86_64? ( mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}-x86_64.msi )
 	)
 	mono? ( mirror://sourceforge/${PN}/Wine%20Mono/${MV}/wine-mono-${MV}.msi )
-	pipelight? ( https://github.com/wine-compholio/wine-staging/archive/v${PV}.tar.gz -> ${COMPHOLIO_P}.tar.gz )
+	experimental? ( https://github.com/wine-compholio/wine-staging/archive/v${PV}.tar.gz -> ${COMPHOLIO_P}.tar.gz )
 	pulseaudio? ( https://github.com/wine-compholio/wine-staging/archive/v${PV}.tar.gz -> ${COMPHOLIO_P}.tar.gz )
 	http://dev.gentoo.org/~tetromino/distfiles/${PN}/${WINE_GENTOO}.tar.bz2"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gstreamer +jpeg lcms ldap +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pipelight +png +prelink pulseaudio +realtime +run-exes samba scanner selinux +ssl test +threads +truetype +udisks v4l +X xcomposite xinerama +xml"
+IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gstreamer +jpeg lcms ldap +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl +experimental +png +prelink pulseaudio +realtime +run-exes samba scanner selinux +ssl test +threads +truetype +udisks v4l +X xcomposite xinerama +xml"
 REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
 	test? ( abi_x86_32 )
 	elibc_glibc? ( threads )
@@ -62,7 +62,6 @@
 	gstreamer? ( media-libs/gstreamer:0.10 media-libs/gst-plugins-base:0.10 )
 	X? (
 		x11-libs/libXcursor
-		x11-libs/libXext
 		x11-libs/libXrandr
 		x11-libs/libXi
 		x11-libs/libXxf86vm
@@ -84,7 +83,7 @@
 	nls? ( sys-devel/gettext )
 	odbc? ( dev-db/unixODBC:= )
 	osmesa? ( media-libs/mesa[osmesa] )
-	pipelight? ( sys-apps/attr )
+	experimental? ( sys-apps/attr )
 	pulseaudio? ( media-sound/pulseaudio )
 	xml? ( dev-libs/libxml2 dev-libs/libxslt )
 	scanner? ( media-gfx/sane-backends:= )
@@ -192,7 +191,7 @@
 				>=app-emulation/emul-linux-x86-opengl-20121028[development,-abi_x86_32(-)]
 				>=media-libs/mesa-9.1.6[osmesa,abi_x86_32(-)]
 			) )
-			pipelight? ( || (
+			experimental? ( || (
 				app-emulation/emul-linux-x86-baselibs[development,-abi_x86_32(-)]
 				>=sys-apps/attr-2.4.47-r1[abi_x86_32(-)]
 			) )
@@ -291,7 +290,7 @@
 		unpack ${MY_P}.tar.bz2
 	fi
 
-	use pipelight || use pulseaudio && unpack "${COMPHOLIO_P}.tar.gz"
+	use experimental || use pulseaudio && unpack "${COMPHOLIO_P}.tar.gz"
 
 	unpack "${WINE_GENTOO}.tar.bz2"
 
@@ -307,9 +306,11 @@
 		"${FILESDIR}"/${PN}-1.7.12-osmesa-check.patch #429386
 		"${FILESDIR}"/${PN}-1.6-memset-O3.patch #480508
 	)
-	local COMPHOLIO_MAKE_ARGS="-W fonts-Missing_Fonts.ok"
+	#local COMPHOLIO_MAKE_ARGS="-W fonts-Missing_Fonts.ok"
+	local COMPHOLIO_MAKE_ARGS=""
 
 	use pulseaudio || COMPHOLIO_MAKE_ARGS="${COMPHOLIO_MAKE_ARGS} -W winepulse-PulseAudio_Support.ok"
+
 	if use gstreamer; then
 		# See http://bugs.winehq.org/show_bug.cgi?id=30557
 		ewarn "Applying experimental patch to fix GStreamer support. Note that"
@@ -317,29 +318,31 @@
 
 		PATCHES+=( "${FILESDIR}/${PN}-1.7.28-gstreamer-v4.patch" )
 	fi
-	if use pipelight; then
-		ewarn "Applying the unofficial Compholio patchset for Pipelight support,"
-		ewarn "which is unsupported by Wine developers. Please don't report bugs"
-		ewarn "to Wine bugzilla unless you can reproduce them with USE=-pipelight"
+	if use experimental; then
+		ewarn "Applying the unofficial Compholio patchset, which is unsupported by Wine developers."
+		ewarn "Please don't report bugs to Wine bugzilla unless you can reproduce them with USE=-experimental"
 
 		# epatch doesn't support binary patches and we ship our own pulse patches
 		emake -C "${WORKDIR}/${COMPHOLIO_P}/patches" \
+			DESTDIR=${S}
 			$(echo ${COMPHOLIO_MAKE_ARGS}) \
-		    series
+		    install
 
-		PATCHES+=( $(sed -e "s:^:${WORKDIR}/${COMPHOLIO_P}/patches/:" \
-		    "${WORKDIR}/${COMPHOLIO_P}/patches/series") )
+		#PATCHES+=( $(sed -e "s:^:${WORKDIR}/${COMPHOLIO_P}/patches/:" \
+		#    "${WORKDIR}/${COMPHOLIO_P}/patches/series") )
 
-		# epatch doesn't support binary patches
-		ebegin "Applying Compholio font patches"
-		for f in "${WORKDIR}/${COMPHOLIO_P}/patches/fonts-Missing_Fonts"/*.patch; do
-			"../${COMPHOLIO_P}/debian/tools/gitapply.sh" < "${f}" \
-			    || die "Failed to apply ${f}"
-		done
-		eend
-	elif use pulseaudio; then
-		PATCHES+=( "../${COMPHOLIO_P}/patches/winepulse-PulseAudio_Support"/*.patch )
+		## epatch doesn't support binary patches
+		#ebegin "Applying Compholio font patches"
+		#for f in "${WORKDIR}/${COMPHOLIO_P}/patches/fonts-Missing_Fonts"/*.patch; do
+		#	"../${COMPHOLIO_P}/debian/tools/gitapply.sh" < "${f}" \
+		#	    || die "Failed to apply ${f}"
+		#done
+		#eend
+	#elif use pulseaudio; then
+	#	PATCHES+=( "../${COMPHOLIO_P}/patches/winepulse-PulseAudio_Support"/*.patch )
 	fi
+
+
 	autotools-utils_src_prepare
 
 	if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
@@ -404,7 +407,7 @@
 	)
 
 	use pulseaudio && myconf+=( --with-pulse )
-	use pipelight && myconf+=( --with-xattr )
+	use experimental && myconf+=( --with-xattr )
 
 	local PKG_CONFIG AR RANLIB
 	# Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on amd64; #472038

anTaRes ★★★★ ()
Последнее исправление: anTaRes (всего исправлений: 1)
Ответ на: комментарий от anTaRes

Насколько оно «better» и сильно ли ломает?

Вроде как щас рулит патченая меса с нативным DX9 + собраный с галиумом вайн, там дополнительная опция появляется в winecfg.

cast RedEyedMan4

leg0las ★★★★★ ()
Ответ на: комментарий от leg0las

Насколько оно «better» и сильно ли ломает?

в последнее время редко использую вайн, не скажу
кое-что по патчам видно, типо «Fix wined3d performance drop introduced by pixelformat changes. (Wine Bug #35655)», должно местами быстрее быть
что из установленного запускал - все запускается и работает как и до патчей

тут сравнивал уже кто-то : gallium-nine vs wined3d vs wine-csmt vs native
но я не смотрел

з.ы. выдрал результаты с ютуба (там Dota 2 тестируется):

  • Gallium-nine (59-68 fps)
  • Wined3d (21-24fps)
  • Wine-csmt (25-30 fps)
  • Native (45-47 fps)

    Radeon hd 7790
    intel i5 3330
    openSUSE Factory
anTaRes ★★★★ ()
Последнее исправление: anTaRes (всего исправлений: 3)
Ответ на: комментарий от leg0las

Вроде как щас рулит патченая меса с нативным DX9 + собраный с галиумом вайн, там дополнительная опция появляется в winecfg.

Она реально быстрее, но в некоторых играх бывают артефакты.

RedEyedMan4 ★★★★★ ()
Ответ на: комментарий от leg0las

Судя по тестам, Gallium-nine быстрее нативщины?

что-то такое слышал что Valve использует какой-то транслятор из DirectX в OpenGL в линуксовых версиях
а nine , видимо, на себя берет эту функцию
потому и быстрее

нужно проверить на какой-то другой цацке, или на OpenGL справедливости ради
но да, в DirectX-овых цацках на порядок быстрее должно быть

anTaRes ★★★★ ()

Что такое Wine Staging пояснили, спасибо, а что такое CSMT?

meequz ★★ ()
Ответ на: комментарий от meequz

что такое CSMT?

Command Stream Multi-Threading - грубо говоря OpenGL обработка выносится в отдельный поток

anTaRes ★★★★ ()

после випуска

вiпуска?

anonymous ()

Было бы круто. Чтоб в ванильный вайн впихнули CSMT, а то патчи-фигатчи.

garik_keghen ★★★★★ ()
Ответ на: комментарий от garik_keghen

Было бы круто. Чтоб в ванильный вайн впихнули CSMT, а то патчи-фигатчи.

если посмотреть какими пачками патчи удаляются из гита с пометкой «accepted upstream», то можно с уверенностью говорить что скоро примут
+ в майлстоуне вайна версии 1.8 прописано CSMT: http://wiki.winehq.org/WineReleaseCriteria

anTaRes ★★★★ ()
Последнее исправление: anTaRes (всего исправлений: 1)
Ответ на: комментарий от leg0las

Только для швабодных дров, на проприеторастических не работает. Я уверен ты это знаешь, просто прискорбно, однако логично и закономерно.

I-Love-Microsoft ★★★★★ ()
Последнее исправление: I-Love-Microsoft (всего исправлений: 1)

100500+ изменений

Воу, воу, палегше!

void_ptr ★★★★ ()
Ответ на: комментарий от garik_keghen

Ура-ура. Надоело все руками делать.

Прыщи? Или проблема ниже?

void_ptr ★★★★ ()
Ответ на: комментарий от anTaRes

Мэйнтейнеры staging версии не являются разработчиками CSMT, и крайне мало вероятно, они будут заниматься патчами на этот счет. Это большая и нетривиальная работа.

anonymous ()
Ответ на: комментарий от leg0las

Какое отношение галиум в этим мифическим дх9 имеет к wine?

anonymous ()

Ну наконец-то! У меня кончается лицензия на Crossover, теперь, когда патчи на многопоточное Direct3D в Wine, Crossover мне больше не пригодится.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от anTaRes

> Gallium-nine (59-68 fps)
> Wined3d (21-24fps)

У меня NVIDIA, и для меня есть порция твиков и улучшений для wined3d. CSMT (общий для всех), а также UseGLSL = disabled и __GL_THREADED_OPTIMIZATIONS=1 (только NVIDIA). С ними производительность игр растёт более чем в 2 раза (не на всех играх) по сравнению с чистым wined3d, приближаясь к скорости игр в Windows. Подробнее. Только в третьем пункте инструкции я по ошибке описал запуск нативных Linux-программ вместо запуска Wine.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 3)

Support for wine64 on FreeBSD/PC-BSD(Wine Bug #34330)

Вот оно что!
Это недавно появилось?
Значит в коллекции портов скоро будет порт wine64!
УРААААААА!!!

anonymous ()
Ответ на: комментарий от anTaRes

не думал о том, что простыню можно бы и на paste закинуть?

reprimand ★★★★★ ()

Support for wine64 on FreeBSD/PC-BSD (Wine Bug #34330)

!!! ДА ЛАДНО !?!?!

надеюсь, скоро в порты добавят

reprimand ★★★★★ ()
Последнее исправление: reprimand (всего исправлений: 1)
Ответ на: комментарий от anonymous

Это недавно появилось?

https://bugs.winehq.org/show_bug.cgi?id=34330
смотрим в Reported дату: 2013-08-22
смотрим в дату приатаченного патча: 2013-08-30
смотрим на сам патч: https://bugs.winehq.org/attachment.cgi?id=45788 - 2.5 строчки фиксов
https://github.com/wine-compholio/wine-staging/blob/master/patches/libwine-BS... - в стейджинг более аккуратный

anTaRes ★★★★ ()

Надо попробовать лолец запустить.

ritsufag ★★★★★ ()
Ответ на: комментарий от reprimand

не думал о том, что простыню можно бы и на paste закинуть?

думал [cut] отработает внутри новости тоже

anTaRes ★★★★ ()
Последнее исправление: anTaRes (всего исправлений: 1)
Ответ на: комментарий от anTaRes

думал [cut] отработает внутри новости тоже

а вообще странно, там 2.5 строчки на яваскрипте чтоб это работало
юзерскрипт чтоль сделать ... :)

anTaRes ★★★★ ()
Последнее исправление: anTaRes (всего исправлений: 1)
Ответ на: комментарий от anTaRes

если посмотреть какими пачками патчи удаляются из гита с пометкой «accepted upstream»...

для примера текущий ченж:

wine-compholio (1.7.34) UNRELEASED; urgency=low
* Fix issue in DOS Attributes patch which broke ./configure on systems with alternative shells.
* Removed patch to implement combase HSTRING objects (accepted upstream).
* Removed patch to add fake ProductId to registry (accepted upstream).

anTaRes ★★★★ ()

Из новости непонятно что такое CSMT и почему это заслуживает внимания.

jekader ★★★★★ ()

Так и не понял из новости, что такое патчи CSMT. На всякий случай отмечу, что игры не нужны.

Deleted ()
Ответ на: комментарий от Deleted

Так и не понял из новости, что такое патчи CSMT. На всякий случай отмечу, что игры не нужны.

эта новость для тех, кто в новостях про очередную версию Wine кричит «где CSMT? доколе?»
они знают что это и зачем им это нужно

anTaRes ★★★★ ()
Ответ на: комментарий от leg0las

Мне как раз не хватает полной и быстрой поддержки DX9/10, так что я рад, что они его допиливают. А вот для DX11/12 у меня нет юзкейсов.

Chaser_Andrey ★★★★★ ()
Ответ на: комментарий от anTaRes

думал [cut] отработает внутри новости тоже

а вообще странно, там 2.5 строчки на яваскрипте чтоб это работало
юзерскрипт чтоль сделать ... :)

жопорукий однострочник, если кому нужен:

var cuts = $('[id ^= cut]'); cuts.each(function(){$(this).hide();$(this).before('<a id="spoiler-'+$(this).attr('id')+'" href="javascript:void(0);" data-status="0" onClick="javascript:$(\'#'+$(this).attr('id')+'\').css(\'display\')==\'none\'?$(\'#'+$(this).attr('id')+'\').show():$(\'#'+$(this).attr('id')+'\').hide();">Spoiler</a>')});

anTaRes ★★★★ ()

Хорошие новости. Про staging вообще только что узнал.
Кстати, народ, кто в теме. Можете подкинуть инструкцию по сборке вайна для PoL?

sehellion ★★★★★ ()

Слава Сатане, это свершилось.

X10Dead ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

Gallium-nine быстрее нативщины?

Только для швабодных дров, на проприеторастических не работает

Значит не нужно.

Valkeru ★★★★ ()

О-хо-хо! С недавнего времени в сборки Wine в Fedora стали включать патчи Compholio, а это значит, что CSMT теперь идёт в Fedora!

carasin ★★★★★ ()

Когда видеовставки будут поддерживаться в игрушках? Что-то там про quartz.dll, с шаманством нативными либами и кодеками работает, но ломается от версии к версии.

Ах да, эталонное ненужно же!

wakuwaku ★★★★ ()
Последнее исправление: wakuwaku (всего исправлений: 1)

Играю в Dragon Age: Inquisition, последняя версия вайна - полет нормальный!

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.